## gucharmap-unicode-info

gucharmap-unicode-info

## Functions

const gchar * | gucharmap_get_unicode_name ()
const gchar * | gucharmap_get_unicode_data_name ()
gint | gucharmap_get_unicode_data_name_count ()
GucharmapUnicodeVersion | gucharmap_get_unicode_version ()
const gchar * | gucharmap_get_unicode_category_name ()
gint | gucharmap_get_unihan_count ()
const gchar * | gucharmap_get_unicode_kDefinition ()
const gchar * | gucharmap_get_unicode_kCantonese ()
const gchar * | gucharmap_get_unicode_kMandarin ()
const gchar * | gucharmap_get_unicode_kTang ()
const gchar * | gucharmap_get_unicode_kKorean ()
const gchar * | gucharmap_get_unicode_kJapaneseKun ()
const gchar * | gucharmap_get_unicode_kJapaneseOn ()
const gchar * | gucharmap_get_unicode_kHangul ()
const gchar * | gucharmap_get_unicode_kVietnamese ()
const gchar ** | gucharmap_get_nameslist_stars ()
const gchar ** | gucharmap_get_nameslist_equals ()
gunichar * | gucharmap_get_nameslist_exes ()
const gchar ** | gucharmap_get_nameslist_pounds ()
const gchar ** | gucharmap_get_nameslist_colons ()
gboolean | gucharmap_unichar_validate ()
gint | gucharmap_unichar_to_printable_utf8 ()
GUnicodeType | gucharmap_unichar_type ()
gboolean | gucharmap_unichar_isdefined ()
gboolean | gucharmap_unichar_isgraph ()
const gchar ** | gucharmap_unicode_list_scripts ()
const gchar * | gucharmap_unicode_get_script_for_char ()
const gchar * | gucharmap_unicode_version_to_string ()
gunichar | gucharmap_unicode_get_locale_character ()

## Types and Values

enum | GucharmapUnicodeVersion

## Description

## Functions

### gucharmap_get_unicode_name ()

    const gchar *
    gucharmap_get_unicode_name (gunichar uc);

### gucharmap_get_unicode_data_name ()

    const gchar *
    gucharmap_get_unicode_data_name (gunichar uc);

### gucharmap_get_unicode_data_name_count ()

    gint
    gucharmap_get_unicode_data_name_count (void);

### gucharmap_get_unicode_version ()

    GucharmapUnicodeVersion
    gucharmap_get_unicode_version (gunichar uc);

### gucharmap_get_unicode_category_name ()

    const gchar *
    gucharmap_get_unicode_category_name (gunichar uc);

### gucharmap_get_unihan_count ()

    gint
    gucharmap_get_unihan_count (void);

### gucharmap_get_unicode_kDefinition ()

    const gchar *
    gucharmap_get_unicode_kDefinition (gunichar uc);

### gucharmap_get_unicode_kCantonese ()

    const gchar *
    gucharmap_get_unicode_kCantonese (gunichar uc);

### gucharmap_get_unicode_kMandarin ()

    const gchar *
    gucharmap_get_unicode_kMandarin (gunichar uc);

### gucharmap_get_unicode_kTang ()

    const gchar *
    gucharmap_get_unicode_kTang (gunichar uc);

### gucharmap_get_unicode_kKorean ()

    const gchar *
    gucharmap_get_unicode_kKorean (gunichar uc);

### gucharmap_get_unicode_kJapaneseKun ()

    const gchar *
    gucharmap_get_unicode_kJapaneseKun (gunichar uc);

### gucharmap_get_unicode_kJapaneseOn ()

    const gchar *
    gucharmap_get_unicode_kJapaneseOn (gunichar uc);

### gucharmap_get_unicode_kHangul ()

    const gchar *
    gucharmap_get_unicode_kHangul (gunichar uc);

### gucharmap_get_unicode_kVietnamese ()

    const gchar *
    gucharmap_get_unicode_kVietnamese (gunichar uc);

### gucharmap_get_nameslist_stars ()

    const gchar **
    gucharmap_get_nameslist_stars (gunichar uc);

#### Parameters

uc | a gunichar |

#### Returns

newly allocated null-terminated array of gchar* the items are const, but the array should be freed by the caller.

[transfer container]

### gucharmap_get_nameslist_equals ()

    const gchar **
    gucharmap_get_nameslist_equals (gunichar uc);

#### Parameters

uc | a gunichar |

#### Returns

newly allocated null-terminated array of gchar* the items are const, but the array should be freed by the caller.

[transfer container]

### gucharmap_get_nameslist_exes ()

    gunichar *
    gucharmap_get_nameslist_exes (gunichar uc);

### gucharmap_get_nameslist_pounds ()

    const gchar **
    gucharmap_get_nameslist_pounds (gunichar uc);

#### Parameters

uc | a gunichar |

#### Returns

newly allocated null-terminated array of gchar* the items are const, but the array should be freed by the caller.

[transfer container]

### gucharmap_get_nameslist_colons ()

    const gchar **
    gucharmap_get_nameslist_colons (gunichar uc);

#### Parameters

uc | a gunichar |

#### Returns

newly allocated null-terminated array of gchar* the items are const, but the array should be freed by the caller.

[transfer container]

### gucharmap_unichar_validate ()

    gboolean
    gucharmap_unichar_validate (gunichar uc);

### gucharmap_unichar_to_printable_utf8 ()

    gint
    gucharmap_unichar_to_printable_utf8 (gunichar uc,
                                         gchar *outbuf);

Converts a single character to UTF-8 suitable for rendering. Check the source to see what this means. ;-)

#### Parameters

uc | a unicode character |
outbuf | output buffer, must have at least 10 bytes of space. If `NULL`, the length will be computed and returned and nothing will be written to `outbuf` . |

#### Returns

number of bytes written

### gucharmap_unichar_type ()

    GUnicodeType
    gucharmap_unichar_type (gunichar uc);

Classifies a Unicode character by type.

#### Parameters

uc | a Unicode character |

#### Returns

the type of the character.

### gucharmap_unichar_isdefined ()

    gboolean
    gucharmap_unichar_isdefined (gunichar uc);

Determines if a given character is assigned in the Unicode standard.

#### Parameters

uc | a Unicode character |

#### Returns

`TRUE` if the character has an assigned value

### gucharmap_unichar_isgraph ()

    gboolean
    gucharmap_unichar_isgraph (gunichar uc);

Determines whether a character is printable and not a space (returns `FALSE` for control characters, format characters, and spaces). `g_unichar_isprint()` is similar, but returns `TRUE` for spaces. Given some UTF-8 text, obtain a character value with `g_utf8_get_char()`.

#### Parameters

uc | a Unicode character |

#### Returns

`TRUE` if `c` is printable unless it's a space

### gucharmap_unicode_list_scripts ()

    const gchar **
    gucharmap_unicode_list_scripts (void);

Returns an array of untranslated script names.

The strings in the array are owned by gucharmap and should not be modified or free; the array itself however is allocated and should be freed with `g_free()`.

#### Returns

a newly allocated `NULL`-terminated array of strings.

[transfer container]

### gucharmap_unicode_get_script_for_char ()

    const gchar *
    gucharmap_unicode_get_script_for_char (gunichar wc);

#### Parameters

wc | a character |

#### Returns

The English (untranslated) name of the script to which the character belongs. Characters that don't belong to an actual script return %"Unknown".

### gucharmap_unicode_version_to_string ()

    const gchar *
    gucharmap_unicode_version_to_string (GucharmapUnicodeVersion version);

### gucharmap_unicode_get_locale_character ()

    gunichar
    gucharmap_unicode_get_locale_character
                                   (void);

Determines a character that's commonly used in the current locale's script.

#### Returns

a unicode character

## Types and Values

### enum GucharmapUnicodeVersion

#### Members

GUCHARMAP_UNICODE_VERSION_UNASSIGNED |  |
GUCHARMAP_UNICODE_VERSION_1_1 |  |
GUCHARMAP_UNICODE_VERSION_2_0 |  |
GUCHARMAP_UNICODE_VERSION_2_1 |  |
GUCHARMAP_UNICODE_VERSION_3_0 |  |
GUCHARMAP_UNICODE_VERSION_3_1 |  |
GUCHARMAP_UNICODE_VERSION_3_2 |  |
GUCHARMAP_UNICODE_VERSION_4_0 |  |
GUCHARMAP_UNICODE_VERSION_4_1 |  |
GUCHARMAP_UNICODE_VERSION_5_0 |  |
GUCHARMAP_UNICODE_VERSION_5_1 |  |
GUCHARMAP_UNICODE_VERSION_5_2 |  |
GUCHARMAP_UNICODE_VERSION_6_0 |  |
GUCHARMAP_UNICODE_VERSION_6_1 |  |
GUCHARMAP_UNICODE_VERSION_6_2 |  |
GUCHARMAP_UNICODE_VERSION_6_3 |  |
GUCHARMAP_UNICODE_VERSION_7_0 |  |
GUCHARMAP_UNICODE_VERSION_8_0 |  |
GUCHARMAP_UNICODE_VERSION_9_0 |  |
GUCHARMAP_UNICODE_VERSION_10_0 |  |
GUCHARMAP_UNICODE_VERSION_11_0 |  |
GUCHARMAP_UNICODE_VERSION_12_0 |  |
GUCHARMAP_UNICODE_VERSION_12_1 |  |
GUCHARMAP_UNICODE_VERSION_13_0 |  |
GUCHARMAP_UNICODE_VERSION_14_0 |  |
GUCHARMAP_UNICODE_VERSION_15_0 |  |
GUCHARMAP_UNICODE_VERSION_15_1 |  |
GUCHARMAP_UNICODE_VERSION_16_0 |  |
GUCHARMAP_UNICODE_VERSION_LATEST |  |